%define module rsa

Name:           python-%{module}
Version:        4.9
Release:        %mkrel 2
Summary:        Pure-Python RSA implementation
License:        ASLv2
Group:          Development/Python
URL:            https://pypi.org/project/rsa/
Source0:        https://pypi.python.org/packages/source/r/%{module}/%{module}-%{version}.tar.gz
BuildArch:      noarch

%description
Pure-Python RSA implementation.

%package -n python3-%module
Summary:        Pure-Python 3 RSA implementation
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3dist(setuptools)
%{?python_provide:%python_provide python3-%{module}}
Obsoletes:      python2-rsa < 4.0-2

%description -n python3-%module
Pure-Python 3 RSA implementation.

%files -n python3-%{module} -f %{pyproject_files}
%doc README.md
%{_bindir}/pyrsa*

#--------------------------------------------------------------------

%prep
%autosetup -p1 -n %{module}-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files rsa


%changelog
* Sun Mar 02 2025 wally <wally> 4.9-2.mga10
+ Revision: 2157586
- rebuild for python3.13

* Sun Dec 31 2023 daviddavid <daviddavid> 4.9-1.mga10
+ Revision: 2024726
- new version: 4.9
- switch to pyproject

* Sun Dec 31 2023 daviddavid <daviddavid> 4.8-3.mga10
+ Revision: 2024710
- rebuild for py3.12

* Wed Mar 23 2022 umeabot <umeabot> 4.8-2.mga9
+ Revision: 1823340
- Mageia 9 Mass Rebuild

* Tue Feb 22 2022 mrambo3501 <mrambo3501> 4.8-1.mga9
+ Revision: 1782698
- version 4.8
- rebuild for python-3.10

* Mon Sep 27 2021 ns80 <ns80> 4.7.2-1.mga9
+ Revision: 1746671
- new version 4.7.2 for CVE-2020-25658 (mga#29492)

* Fri Mar 26 2021 ovitters <ovitters> 4.6-3.mga9
+ Revision: 1710492
- rebuild for Python 3.9

* Mon Jan 11 2021 wally <wally> 4.6-2.mga8
+ Revision: 1671150
- obsolete old python2 pkg also providing pyrsa-*
- drop bundled egg-info

* Wed Aug 12 2020 guillomovitch <guillomovitch> 4.6-1.mga8
+ Revision: 1613674
- new version 4.6

* Sun Feb 16 2020 umeabot <umeabot> 4.0-3.mga8
+ Revision: 1532463
- Mageia 8 Mass Rebuild

* Mon Sep 16 2019 daviddavid <daviddavid> 4.0-2.mga8
+ Revision: 1442349
- rebuild for python3.8
- drop python2 support

* Wed Jan 09 2019 shlomif <shlomif> 4.0-1.mga7
+ Revision: 1353213
- Rebuild for python3 3.7

* Thu Sep 20 2018 umeabot <umeabot> 3.4.2-2.mga7
+ Revision: 1290007
- Mageia 7 Mass Rebuild

* Fri Jun 15 2018 daviddavid <daviddavid> 3.4.2-1.mga7
+ Revision: 1236964
- new version: 3.4.2
- rename python-rsa to python2-rsa

* Sat Aug 05 2017 pterjan <pterjan> 3.4.1-2.mga7
+ Revision: 1135615
- Rebuild for python 3.6

* Sat Mar 26 2016 daviddavid <daviddavid> 3.4.1-1.mga6
+ Revision: 995651
- new version: 3.4.1

* Mon Jan 18 2016 daviddavid <daviddavid> 3.3-1.mga6
+ Revision: 925694
- new version: 3.3
- remove merged upstream patch

* Tue Jan 05 2016 daviddavid <daviddavid> 3.2.3-2.mga6
+ Revision: 919884
- add upstream patch to fix CVE-2016-1494 (mga#17451)
  * https://bitbucket.org/FiloSottile/python-rsa/commits/0cbcc529926afd61c6df4f50cfc29971beafd2c2/raw/

* Wed Dec 16 2015 daviddavid <daviddavid> 3.2.3-1.mga6
+ Revision: 911037
- new version: 3.2.3

* Sat Oct 10 2015 daviddavid <daviddavid> 3.2-1.mga6
+ Revision: 888659
- new version: 3.2 + rebuild for python 3.5
- use new python macros
- add python3 executables
- add doc files

* Wed Oct 15 2014 umeabot <umeabot> 3.1.4-6.mga5
+ Revision: 742017
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 3.1.4-5.mga5
+ Revision: 729675
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 3.1.4-4.mga5
+ Revision: 688313
- Mageia 5 Mass Rebuild

* Sat May 31 2014 pterjan <pterjan> 3.1.4-3.mga5
+ Revision: 628995
- Rebuild for new Python

* Tue Apr 01 2014 philippem <philippem> 3.1.4-2.mga5
+ Revision: 611225
- add Python3 modules

* Tue Apr 01 2014 kharec <kharec> 3.1.4-1.mga5
+ Revision: 611033
- version 3.1.4

* Tue Oct 22 2013 umeabot <umeabot> 3.1.1-3.mga4
+ Revision: 544142
- Mageia 4 Mass Rebuild

* Tue Oct 15 2013 pterjan <pterjan> 3.1.1-2.mga4
+ Revision: 499318
- Rebuild to add different pythonegg provides for python 2 and 3

* Thu Aug 01 2013 neoclust <neoclust> 3.1.1-1.mga4
+ Revision: 462079
- imported package python-rsa

